JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const profile = await client.profiles.retrieve('id_or_name');
console.log(profile.id);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
profile = client.profiles.retrieve(
"id_or_name",
)
print(profile.id)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
profile, err := client.Profiles.Get(context.TODO(), "id_or_name")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", profile.ID)
}curl --request GET \
--url https://api.onkernel.com/profiles/{id_or_name} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Profiles
Get profile by ID or name
Retrieve details for a single profile by its ID or name.
GET
/
profiles
/
{id_or_name}
JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const profile = await client.profiles.retrieve('id_or_name');
console.log(profile.id);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
profile = client.profiles.retrieve(
"id_or_name",
)
print(profile.id)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
profile, err := client.Profiles.Get(context.TODO(), "id_or_name")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", profile.ID)
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Profile ID or name
Response
Profile details
Browser profile metadata.
Unique identifier for the profile
Timestamp when the profile was created
Optional, easier-to-reference name for the profile
Timestamp when the profile was last updated
Timestamp when the profile was last used
⌘I